<?php

namespace App\Http\Controllers\Api\V1\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\StorePengawasanRequest;
use App\Http\Requests\UpdatePengawasanRequest;
use App\Pengawasan;

class PengawasanApiController extends Controller
{
    public function index()
    {
        $pengawasans = Pengawasan::all();

        return $pengawasans;
    }

    public function store(StorePengawasanRequest $request)
    {
        return Pengawasan::create($request->all());
    }

    public function update(UpdatePengawasanRequest $request, Pengawasan $pengawasan)
    {
        return $pengawasan->update($request->all());
    }

    public function show(Pengawasan $pengawasan)
    {
        return $pengawasan;
    }

    public function destroy(Pengawasan $pengawasan)
    {
        return $pengawasan->delete();
    }
}
